Bug 54541

Summary: [PATCH] Add support for cropped images in Slide.draw()
Product: POI Reporter: Don Boulia <djboulia>
Component: HSLFAssignee: POI Developers List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 3.9-FINAL   
Target Milestone: ---   
Hardware: Macintosh   
OS: Mac OS X 10.4   
Attachments: BLIP cropping patch file

Description Don Boulia 2013-02-10 15:25:19 UTC
Created attachment 29936 [details]
BLIP cropping patch file

The BLIP properties for cropping images aren't used in the current draw() method for Slide.  This patch implements cropping and includes a .ppt test file that demonstrates the issues for cropped images.

This support is also missing from ooxml... I have that patch and will submit separately.
Comment 1 C├ędric Walter 2014-05-07 14:51:23 UTC
Hi

Thanks for the patch, could you try to also submit as patch also some unit tests in org.apache.poi.hslf.model.TestPicture

Thanks
Comment 2 Andreas Beeker 2014-12-29 13:41:29 UTC
Thank you for the patch - applied with r1648335
Similar to #54542, I've used clipping instead of sub-imaging.
the extended test image reveals the lack of rotation support in group shapes.
I've already tried to use the same drawing logic as in XSLF (instead of ShapePainter & Co.), but somehow rotated groups have swapped anchors fields for certain rotation angles ... so only applying the patch for the existing drawing logic.